Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181252 - Netbeans always opens and closes KDE KWallet
Netbeans always opens and closes KDE KWallet
Status: REOPENED
Product: platform
Classification: Unclassified
Component: Options&Settings
6.x
PC Linux
: P2 (vote)
: 6.x
Assigned To: psychollek
issues@platform
:
: 185221 186532 (view as bug list)
Depends on:
Blocks: 179839
  Show dependency treegraph
 
Reported: 2010-02-26 02:20 UTC by alex007
Modified: 2017-08-29 14:00 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Why is the wallet closed before each query? (2.51 KB, patch)
2010-04-23 14:19 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex007 2010-02-26 02:20:22 UTC
I have wallet that opens after entering the password. When I want to checks SVN repo netbeans closes the wallet and then tries to open it. After I enter the password, netbeans immediately closes it and tries to open it again.

When I disable the password to open the wallet, I can see that wallet became flashing (open-close-open-close...) and the SVN status checking always is in process. 

If I deny access for netbeans to the wallet, netbeans asks me the Master password and updates the SVN status well.

I have installed Ubuntu 9.10 with KDE 4.4 and netbeans 6.9M1
Comment 1 Jiri Rechtacek 2010-02-26 02:41:27 UTC
Jesse, could you look on this? Thanks
Comment 2 Jaroslav Tulach 2010-02-26 15:12:42 UTC
Same (mis)behavior on my computer.
Comment 3 Jiri Kovalsky 2010-04-07 09:37:01 UTC
Adam, any update on this bug? Thanks!
Comment 4 psychollek 2010-04-07 12:19:16 UTC
Sorry - I've been a little bit busy lately (master thesis :( ) - I know how to fix the issue now (altough I have to check if this won't make a security bug), thanks for the reminder.
Comment 5 Tomas Mysik 2010-04-07 13:01:50 UTC
It would be nice to have the fix in Beta, it's very annoying :/
Comment 6 Jaroslav Tulach 2010-04-20 15:57:29 UTC
The integration with KWallet is in poor state. I can survive logging into the walled five times during boot of NetBeans, but I can't stand that my other applications (kontact) are crashing.

Either this gets fixed, or it needs to be disabled for 6.9, in my opinion.
Comment 7 Jaroslav Tulach 2010-04-23 14:19:21 UTC
Created attachment 97930 [details]
Why is the wallet closed before each query?
Comment 8 Jaroslav Tulach 2010-04-26 09:59:40 UTC
core-main#d08659707a34
Comment 9 Quality Engineering 2010-04-27 04:25:37 UTC
Integrated into 'main-golden', will be available in build *201004270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:
Comment 10 alex007 2010-04-27 19:07:15 UTC
Yes. It works good with build *201004270201*
Comment 11 Jesse Glick 2010-04-29 14:52:17 UTC
*** Bug 185221 has been marked as a duplicate of this bug. ***
Comment 12 Ondrej Vrabec 2010-05-24 09:04:47 UTC
*** Bug 186532 has been marked as a duplicate of this bug. ***
Comment 13 aplatypus 2017-08-29 14:00:39 UTC
I am using Netbeans v8.2 and I am getting this on Linux (since Saturday.2017-08-26, today is now Tuesday).

This definitely was Not happening (say) 10 days ago.

I have done a great deal of looking for a setting or config item that relates to this.  No luck so far and it becomes important to have a bit of documentation and / or HELP page about trouble-shooting these kind of internals.

---[ installed s/w  ]---
Product Version: NetBeans IDE 8.2 (Build 201705191307)
Updates: NetBeans IDE is updated to version NetBeans 8.2 Patch 2
Java: 1.8.0_131; Java HotSpot(TM) 64-Bit Server VM 25.131-b11
Runtime: Java(TM) SE Runtime Environment 1.8.0_131-b11
System: Linux version 4.4.0-92-generic running on amd64; UTF-8; en_AU (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo